From 977d95de15a2759e46331255c52e6fc17f07b825 Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Sat, 4 Jan 2020 17:43:08 -0500
Subject: [PATCH] gnu: grilo-plugins: Update to 0.3.10.

* gnu/packages/gnome.scm (grilo-plugins): Update to 0.3.10.
---
 gnu/packages/gnome.scm | 97 ++++++++++++++++++++----------------------
 1 file changed, 45 insertions(+), 52 deletions(-)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index e5f5a94d49..c88e96f0b5 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -246,6 +246,51 @@ Desktop.  It is designed to be as simple as possible and has some unique
 features to enable users to create their discs easily and quickly.")
     (license license:gpl2+)))  
 
+(define-public grilo-plugins
+  (package
+    (name "grilo-plugins")
+    (version "0.3.10")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://gnome/sources/" name "/"
+                           (version-major+minor version) "/"
+                           name "-" version ".tar.xz"))
+       (sha256
+        (base32
+         "0jldaixc4kzycn5v8ixkjld1n0z3dp0l1p3vchgdwpvdvc7kcfw0"))))
+    (build-system meson-build-system)
+    (native-inputs
+     `(("gettext" ,gettext-minimal)
+       ("glib:bin" ,glib "bin")
+       ("gtk+:bin" ,gtk+ "bin")
+       ("itstools" ,itstool)
+       ("pkg-config" ,pkg-config)))
+    (inputs
+     `(("gmime" ,gmime)
+       ("gnome-online-accounts:lib" ,gnome-online-accounts "lib")
+       ("gom" ,gom)
+       ("grilo" ,grilo)
+       ("gssdp" ,gssdp)
+       ("gupnp" ,gupnp)
+       ("gupnp-av" ,gupnp-av)
+       ("json-glib" ,json-glib)
+       ("libgdata" ,libgdata)
+       ("libmediaart" ,libmediaart)
+       ("librest" ,rest)
+       ("libsoup" ,libsoup)
+       ("totam-pl-parser" ,totem-pl-parser)
+       ("tracker" ,tracker)))
+    (arguments
+      ;;Disable lua-factory as it needs missing dependencies
+     `(#:configure-flags '("-Denable-lua-factory=no")))
+    (home-page "https://live.gnome.org/Grilo")
+    (synopsis "Plugins for the Grilo media discovery library")
+    (description
+     "Grilo is a framework focused on making media discovery and browsing easy
+for application developers.")
+    (license license:lgpl2.1+)))
+
 (define-public gnome-user-share
   (package
    (name "gnome-user-share")
@@ -4612,58 +4657,6 @@ as possible!")
 for application developers.")
     (license license:lgpl2.1+)))
 
-(define-public grilo-plugins
-  (package
-    (name "grilo-plugins")
-    (version "0.3.3")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (string-append "mirror://gnome/sources/" name "/"
-                           (version-major+minor version) "/"
-                           name "-" version ".tar.xz"))
-       (sha256
-        (base32
-         "172vr1y98d2mzlmg5akjn4ibrcj3gh22cwnb3cv9rvvzhj3yhrpy"))))
-    (build-system gnu-build-system)
-    (native-inputs
-     `(("glib:bin" ,glib "bin")     ; for glib-mkenums and glib-genmarshal
-       ("intltool" ,intltool)
-       ("itstool" ,itstool)
-       ("pkg-config" ,pkg-config)))
-    (inputs
-     `(("grilo" ,grilo)
-       ("glib" ,glib)
-       ("libxml2" ,libxml2)
-       ("sqlite" ,sqlite)
-       ("gom" ,gom)
-       ;; XXX TODO: Add oauth
-       ;; XXX TODO: Add goa
-       ;; XXX TODO: Add gdata (e.g. needed for youtube plugin)
-       ;; XXX TODO: Add lua (needs help finding it)
-       ("json-glib" ,json-glib)
-       ("avahi" ,avahi)
-       ("gmime" ,gmime)
-       ("libsoup" ,libsoup)
-       ("libarchive" ,libarchive)
-       ("totem-pl-parser" ,totem-pl-parser)))
-    (arguments
-     `(#:make-flags (list (string-append "GRL_PLUGINS_DIR="
-                                         %output
-                                         "/lib/grilo-"
-                                         ,(version-major+minor version)))
-       ;; XXX FIXME: Try to get the test suite working.  It appears to require
-       ;; a working system dbus.  Inside the build container, all tests fail
-       ;; with: "assertion failed: (source)".  Outside of the build container,
-       ;; most tests succeed.
-       #:tests? #f))
-    (home-page "https://live.gnome.org/Grilo")
-    (synopsis "Plugins for the Grilo media discovery library")
-    (description
-     "Grilo is a framework focused on making media discovery and browsing easy
-for application developers.")
-    (license license:lgpl2.1+)))
-
 (define-public totem
   (package
     (name "totem")
-- 
2.24.1

